[metadata]
name = kwf-lib
version = attr: kwf_lib.__version__
description = KWF interface for RH kernel work
long_description = file: README.md
long_description_content_type = text/markdown
author = CKI Team
author_email = cki-project@redhat.com
license = GPLv3
url = https://gitlab.com/cki-project/contrib/kwf-lib

[options]
packages = kwf_lib
python_requires = >=3.10
install_requires =
    requests
    typing_extensions

[options.extras_require]
dev =
    mypy>=1.15.0
    responses
    types-requests
release =
    build
    twine

[tox:tox]

[testenv]
deps =
    cki-lib @ git+https://gitlab.com/cki-project/cki-lib.git@production
extras =
    dev
commands =
    cki_lint.sh kwf_lib
    cki_test.sh kwf_lib

[testenv:spec]
deps = responses
extras =
commands = python3 -m unittest -v

[mypy]
packages = kwf_lib

[coverage:report]
exclude_lines =
    if typing.TYPE_CHECKING:
    if __name__ == .__main__.:
    pragma: no cover
    raise NotImplementedError
